//以下全部出自网络和大佬资源，如有冒犯请联系删除。QQ:314511788 [所有内容仅供学习使用，请勿用于违法用途]
//本接口无公众号、无盈利、无引流、免费分享给小白使用，请勿轻信他人，谨防上当受骗。
 {
  "spider": "./jar/Yoursmile.jar;md5;1545ef72896b2fa34dec2f79a8e625ce",
  "wallpaper": "https://tuapi.eees.cc/api.php?category=fengjing&type=302",
  "sites": [
    {
      "key": "js豆瓣",
      "name": "🔍豆瓣推荐",
      "type": 3,
      "api": "./js/drpy.min.js",
      "ext": "./json/豆瓣.js"
    },
    {
      "key": "csp_AppMr",
      "name": "🌌银河影视",
      "type": 3,
      "api": "csp_AppMr",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1
    },
    {
      "key": "csp_WoGG",
      "name": "👽玩偶云盘",
      "type": 3,
      "api": "csp_WoGG",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "ext": "8cfbe26781554466947234bdbe54d393",
      "jar":"./jar/fan.jar"
    },
    {
      "key": "PanSou",
      "name": "😽盘搜S",
      "type": 3,
      "api": "csp_PanSou",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0,
      "changeable": 0
    },
    {
      "key": "UpYun",
      "name": "☁UP云搜S",
      "type": 3,
      "api": "csp_UpYun",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0,
      "changeable": 0
    },
    {
      "key": "YiSo",
      "name": "🆎易搜S",
      "type": 3,
      "api": "csp_YiSo",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0,
      "changeable": 0
    },
    {
      "key": "PanSearch",
      "name": "🙀盘搜索S",
      "type": 3,
      "api": "csp_PanSearch",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0
    },
    {
      "key": "qqtv",
      "name": "丽丽影视",
      "type": 3,
      "api": "csp_AppYsV2",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "ext": "https://www.qqtv.vip/icciu_api.php/v1.vod"
    },
    {
        "key": "彩虹",
	"name": "彩虹影视",
	"type": 3,
	"api": "csp_AppYsV2",
	"playerType": 1,
	"searchable": 1,
	"quickSearch": 1,
	"changeable": 1,
	"ext": "http://ys.qtw.asia/lvdou_api.php/v1.vod"
    },
    {
	"key": "享看",
	"name": "想看影视",
	"type": 1,
	"searchable": 1,
	"quickSearch": 1,
	"filterable": 1,
	"api": "https://xkanzy5.com/api.php/provide/vod/",
	"playUrl": "json:http://shixiong.alwaysdata.net/m3u8/xk.php?url=",
	"categories": [
	"国产剧",
	"日韩剧",
	"港台剧",
	"欧美剧",
	"动作片",
	"战争片",
	"喜剧片",
	"大陆综艺",
	"国产动漫"]
    },
    {
	"key": "zy_新浪资源",
	"name": "新浪资源",
	"type": 0,
	"api": "https://api.xinlangapi.com/xinlangapi.php/provide/vod/from/xlm3u8/at/xml/",
	"searchable": 1,
	"quickSearch": 1,
	"filterable": 0,
	"categories": [
	"动作片",
	"爱情片",
	"科幻片",
	"战争片",
	"剧情片",
	"恐怖片",
	"喜剧片",
	"纪录片",
	"大陆剧",
	"港澳剧",
	"台湾剧",
	"欧美剧",
	"动漫电影",
	"动漫",
	"综艺",,
	"韩剧",
	"日剧",
	"泰剧",
	"体育"]
   },
    {
	"key": "49zy",
	"name": "49影视",
	"type": 1,
	"api": "https://49zyw.com/api.php/provide/vod/?ac=list",
	"searchable": 1,
	"quickSearch": 1,
	"filterable": 1,
	"categories": [
	"国产剧",
	"纪录片",
	"欧美剧",
	"香港剧",
	"动作片",
	"爱情片",
	"科幻片",
	"恐怖片",
	"剧情片",
	"战争片",
	"喜剧片",
	"动画片",
	"犯罪片",
	"韩国剧",
	"动漫",
	"电影",
	"大陆综艺",
	"港台综艺",
	"日韩综艺",
	"欧美综艺",
	"台湾剧",
	"国产动漫",
	"日本动漫",
	"欧美动漫",
	"泰国剧",
	"日剧",
	"电影解说",
	"奇幻片",
	"灾难片",
	"悬疑片",
	"其他片",
	"体育赛事",
	"海外剧"]
    },
    {
	"key": "豪华资源",
	"name": "豪华资源",
	"type": 1,
	"api": "https://hhzyapi.com/api.php/provide/vod/from/hhm3u8/at/json",
	"searchable": 1,
	"quickSearch": 1,
	"categories": [
	"内地剧",
	"香港剧",
	"欧美剧",
	"韩剧",
	"日剧",
	"马泰剧",
	"台湾剧",
	"动画片",
	"中国动漫",
	"日本动漫",
	"欧美动漫",
	"剧情片",
	"战争片",
	"动作片",
	"科幻片",
	"记录片",
	"爱情片",
	"喜剧片",
	"灾难片",
	"悬疑片",
	"犯罪片",
	"大陆综艺",
	"日韩综艺",
	"港台综艺",
	"欧美综艺"]
    },
    {
	"key": "爱坤",
	"name": "爱坤影视",
	"type": 1,
	"searchable": 1,
	"quickSearch": 1,
	"filterable": 1,
	"api": "https://ikunzyapi.com/api.php/provide/vod",
	"categories": [
	"国产剧",
	"香港剧",
	"台湾剧",
	"韩国剧",
	"日本剧",
	"欧美剧",
	"海外剧",
	"泰国剧",
	"动画片",
	"动作片",
	"喜剧片",
	"科幻片",
	"恐怖片",
	"爱情片",
	"剧情片",
	"战争片",
	"古装片",
	"历史片",
	"家庭片",
	"记录片",
	"国产动漫",
	"日本动漫",
	"欧美动漫",
	"大陆综艺",
	"港台综艺",
	"日韩综艺",
	"欧美综艺"]
    },
    {
	"key": "csp_非凡资源",
	"name": "非凡采集",
	"type": 1,
	"api": "http://cj.ffzyapi.com/api.php/provide/vod/from/ffm3u8",
	"playUrl": "json:http://118.25.184.129:9668/?url=",
	"quickSearch": 1,
	"filterable": 1,
	"categories": [
	"动作片",
	"喜剧片",
	"科幻片",
	"恐怖片",
	"爱情片",
	"剧情片",
	"战争片",
	"记录片",
	"国产剧",
	"欧美剧",
	"香港剧",
	"韩国剧",
	"台湾剧",
	"日本剧",
	"海外剧",
	"泰国剧",
	"国产动漫",
	"日韩动漫",
	"欧美动漫",
	"港台动漫",
	"海外动漫",
	"大陆综艺",
	"港台综艺",
	"日韩综艺",
	"欧美综艺"]
    },
    {
      "key": "csp_DiDuan",
      "name": "📺低端影视",
      "type": 3,
      "api": "csp_Ddrk",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 0
    },
    {
      "key": "csp_Bili",
      "name": "🅱休闲综合",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 1,
      "quickSearch": 1,
      "filterable": 1,
      "ext": "./json/bilizh.json"
    },
    {
      "key": "音乐",
      "name": "🎤文艺综合",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext": "./json/文艺.json"
    },
    {
      "key":"MV_vod",
      "name":"🎸明星MV",
      "type":1,
      "api":"https://mv.wogg.link/mv/vod",
      "searchable":0,
      "quickSearch":0,
      "filterable":1
    },
    {
      "key":"戏曲",
      "name":"🅱️戏曲",
      "type":3,
      "api":"csp_Bili",
      "searchable":0,
      "quickSearch":0,
      "filterable":1,
      "ext":"https://agit.ai/Yoursmile7/TVBox/raw/branch/master/sub/Blixq.json"
    },
    {
      "key":"酷奇MV",
      "name":"🎤酷奇MV",
      "type":3,
      "api":"csp_XBPQ",
      "searchable":0,
      "quickSearch":0,
      "filterable":1,
      "ext":{"主页url":"https://www.kuqimv.com",
      "直接播放":"1",
      "短视频":"1",
      "分类":"华语高清$1#日韩精选$2#欧美MV$3#高清现场$4#影视MV$5#夜店视频$6#车模视频$7#热舞视频$8#美女打碟$9",
      "分类url":"https://www.kuqimv.com/play/{cateId}_{catePg}.html;;z","数组":"<li>&&</li>",
      "标题":"title=\"&&\"","副标题":"target=\"play\">&&<","搜索模式":"1",
      "搜索url":"https://www.kuqimv.com/search.php?key={wd}"}
    },
    {
      "key" : "美食",
      "name" : "🍔美食合集",
      "type" : 3,
      "api" : "csp_Bili",
      "searchable" : 0,
      "quickSearch" : 0,
      "filterable" : 1,
      "ext" : "./json/美食.json"
    },
    {
      "key": "健身",
      "name": "养生﹠健身",
      "type": 3,
      "api": "csp_Bili",
      "ext": "./json/健身.json"
    },
    {  "key":"Aid",
       "name":"🚑急救教学",
       "type":3,
       "api":"csp_FirstAid",
       "jar": "./jar/spider.jar",
       "searchable":0,
       "quickSearch":0,
       "filterable":0,
       "changeable":0
    },
    {
      "key": "儿童",
      "name": "🐯儿童乐园",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext": "./json/%E5%84%BF%E7%AB%A5.json"
    },
    {
      "key": "小学",
      "name": "小学课堂",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext": "./json/%E5%84%BF%E7%AB%A5.json"
    },
    {
      "key": "初中",
      "name": "初中课堂",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext": "./json/%E5%88%9D%E4%B8%AD.json"
    },
    {
      "key": "高中",
      "name": "高中课堂",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext": "./json/%E9%AB%98%E4%B8%AD.json"
    },
    {
      "key": "外语",
      "name": "外语学习",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext": "./json/%E5%A4%96%E8%AF%AD.json"
    },
    {
      "key": "软件",
      "name": "📚教程﹠讲座A",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext":"./json/%E6%95%99%E7%A8%8B.json"
    },
    {
      "key": "教程",
      "name": "📚教程﹠讲座B",
      "type": 3,
      "api": "csp_Bili",
      "searchable": 0,
      "quickSearch": 0,
      "filterable": 1,
      "ext":"./json/软件.json"
    },
    {"key":"18","name":"有S标记为搜网盘用，用手机阿里云盘扫码观看","type":0,"api":""}
  ],
"parses": [
    { "name": "解析轮询", "type": 3, "url": "Demo"},
    { "name": "嗅探轮询", "type": 3, "url": "Web"},
    { "name": "json轮询", "type": 2, "url": "Sequence"},
    { "name": "右岸解析", "type": 1, "url": "https://wuzei.serv00.net/jx/hx.php?url="},
    { "name": "m3u8嗅探", "type": 0, "url": "https://jx.m3u8.tv/jiexi/?url="},
    { "name": "咸鱼嗅探", "type": 0, "url": "https://jx.xmflv.com/?url="},
    { "name": "虾米嗅探", "type":0, "url": "https://jx.xyflv.cc/?url="},
    { "name": "🐉爱酷", "type":0,"url": "https://yparse.ik9.cc/index.php?url="},
    { "name": "云嗅探", "type":0, "url": "https://jx.yparse.com/index.php?url="},
    { "name": "云嗅探1","type": 0,"url": "https://jx.jsonplayer.com/player/?url="},
    { "name": "777嗅探","type": 0, "url":"https://jx.777jiexi.com/player/?url="}
    ],
  "lives": [
    {"name": "live","type": 0,
      "url": "https://gitcode.net/wdytcl/git-learning-course/-/raw/master/TV.txt",
      "epg": "http://epg.112114.xyz/?ch={name}&date={date}",
      "logo": "https://epg.112114.xyz/logo/{name}.png"}],
  "doh": [
    {"name": "Google", "url": "https://dns.google/dns-query", "ips": ["8.8.4.4", "8.8.8.8"]},
    {"name": "Cloudflare", "url": "https://cloudflare-dns.com/dns-query","ips":["1.1.1.1","1.0.0.1","2606:4700:4700::1111","2606:4700:4700::1001"]},
    {"name": "AdGuard", "url": "https://dns.adguard.com/dns-query","ips": [ "94.140.14.140","94.140.14.141"]},
    {"name": "DNSWatch", "url": "https://resolver2.dns.watch/dns-query","ips": [ "84.200.69.80","84.200.70.40"]},
    {"name": "Quad9","url": "https://dns.quad9.net/dns-quer","ips": [ "9.9.9.9","149.112.112.112"]}],
 "rules":[ 
{"name":"量子","hosts":["vip.lz","hd.lz"],"regex":["#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:6.433333,[\\s\\S]*?#EXT-X-DISCONTINUITY","#EXTINF.*?\\s+.*?1o.*?\\.ts\\s+"]},
{"name":"非凡","hosts":["vip.ffzy","hd.ffzy"],"regex":["#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:6.666667,[\\s\\S]*?#EXT-X-DISCONTINUITY","#EXTINF.*?\\s+.*?1o.*?\\.ts\\s+"]},
{"name":"暴风","hosts":["bfzy"],"regex":["#EXT-X-DISCONTINUITY\\r*\\n*#EXTINF:3,[\\s\\S]*?#EXT-X-DISCONTINUITY","#EXTINF.*?\\s+.*?1o.*?\\.ts\\s+"]},
{"name":"火山","hosts":["huoshan.com"],"regex":["item_id="]},
{"name":"抖音","hosts":["douyin.com"],"regex":["is_play_url="]},
{"name":"磁力","hosts":["magnet"],"regex":["最 新","直 播","更 新"]}],
 "flags":
 ["youku","优酷","优酷视频","qq","腾讯","腾讯视频","iqiyi","qiyi","奇艺","爱奇艺", "m1905","xigua","letv","leshi","乐视","sohu","搜狐","搜狐视频", "tudou","pptv","mgtv","芒果","imgo", "芒果TV", "bilibili","哔 哩"],
  "ijk":[
{"group":"软解码","options":[
{"category":4,"name":"opensles","value":"0"},
{"category":4,"name":"overlay-format","value":"842225234"},
{"category":4,"name":"framedrop","value":"1"},
{"category":4,"name":"soundtouch","value":"1"},
{"category":4,"name":"start-on-prepared","value":"1"},
{"category":1,"name":"http-detect-range-support","value":"0"},
{"category":1,"name":"fflags","value":"fastseek"},
{"category":2,"name":"skip_loop_filter","value":"48"},
{"category":4,"name":"reconnect","value":"1"},
{"category":4,"name":"enable-accurate-seek","value":"0"},
{"category":4,"name":"mediacodec","value":"0"},
{"category":4,"name":"mediacodec-auto-rotate","value":"0"},
{"category":4,"name":"mediacodec-handle-resolution-change","value":"0"},
{"category":4,"name":"mediacodec-hevc","value":"0"},
{"category":1,"name":"dns_cache_timeout","value":"600000000"}]},
{"group":"硬解码","options":[
{"category":4,"name":"opensles","value":"0"},
{"category":4,"name":"overlay-format","value":"842225234"},
{"category":4,"name":"framedrop","value":"1"},
{"category":4,"name":"soundtouch","value":"1"},
{"category":4,"name":"start-on-prepared","value":"1"},
{"category":1,"name":"http-detect-range-support","value":"0"},
{"category":1,"name":"fflags","value":"fastseek"},
{"category":2,"name":"skip_loop_filter","value":"48"},
{"category":4,"name":"reconnect","value":"1"},
{"category":4,"name":"enable-accurate-seek","value":"0"},
{"category":4,"name":"mediacodec","value":"1"},
{"category":4,"name":"mediacodec-auto-rotate","value":"1"},
{"category":4,"name":"mediacodec-handle-resolution-change","value":"1"},
{"category":4,"name":"mediacodec-hevc","value":"1"},
{"category":1,"name":"dns_cache_timeout","value":"600000000"}]}],
"ads":[
"mimg.0c1q0l.cn","www.googletagmanager.com","www.google-analytics.com","mc.usihnbcq.cn",
"mg.g1mm3d.cn","mscs.svaeuzh.cn","cnzz.hhttm.top","tp.vinuxhome.com","cnzz.mmstat.com",
"www.baihuillq.com","s23.cnzz.com","z3.cnzz.com","c.cnzz.com","stj.v1vo.top","z12.cnzz.com",
"img.mosflower.cn","tips.gamevvip.com","ehwe.yhdtns.com","xdn.cqqc3.com","www.jixunkyy.cn",
"sp.chemacid.cn","hm.baidu.com","s9.cnzz.com","z6.cnzz.com","um.cavuc.com","mav.mavuz.com",
"wofwk.aoidf3.com","z5.cnzz.com","xc.hubeijieshikj.cn","tj.tianwenhu.com","xg.gars57.cn","k.jinxiuzhilv.com",
"cdn.bootcss.com","ppl.xunzhuo123.com","xomk.jiangjunmh.top","img.xunzhuo123.com",
"z1.cnzz.com","s13.cnzz.com","xg.huataisangao.cn","z7.cnzz.com","xg.huataisangao.cn",
"z2.cnzz.com","s96.cnzz.com","q11.cnzz.com","thy.dacedsfa.cn","xg.whsbpw.cn","s19.cnzz.com",
"z8.cnzz.com","s4.cnzz.com","f5w.as12df.top","ae01.alicdn.com","www.92424.cn",
"k.wudejia.com","vivovip.mmszxc.top","qiu.xixiqiu.com","cdnjs.hnfenxun.com","cms.qdwght.com"]
}
